# This script was automatically generated from the SSA-2007-344-01
# Slackware Security Advisory
# It is released under the Nessus Script Licence.
# Slackware Security Advisories are copyright 1999-2004 Slackware Linux, Inc.
# SSA2nasl Convertor is copyright 2004 Michel Arboi
# See http://www.slackware.com/about/ or http://www.slackware.com/security/
# Slackware(R) is a registered trademark of Slackware Linux, Inc.

if (! defined_func("bn_random")) exit(0);
desc='
New samba packages are available for Slackware 10.0, 10.1, 10.2, 11.0, 12.0,
and -current to fix a security issue.  A boundary failure in GETDC mailslot
processing can result in a buffer overrun leading to possible code
execution.

More details about the issue will become available in the Common
Vulnerabilities and Exposures (CVE) database:

  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-6015


';
if (description) {
script_id(29254);
script_version("$Revision: 1.1 $");
script_category(ACT_GATHER_INFO);
script_family(english: "Slackware Local Security Checks");
script_dependencies("ssh_get_info.nasl");
script_copyright("This script is Copyright (C) 2007 Michel Arboi <mikhail@nessus.org>");
script_require_keys("Host/Slackware/release", "Host/Slackware/packages");
script_description(english: desc);

script_xref(name: "SSA", value: "2007-344-01");
script_summary("SSA-2007-344-01 samba ");
name["english"] = "SSA-2007-344-01 samba ";
script_name(english:name["english"]);
script_cve_id("CVE-2007-6015");
exit(0);
}

include('slackware.inc');
include('global_settings.inc');

if (slackware_check(osver: "10.0", pkgname: "samba", pkgver: "3.0.28", pkgnum:  "1", pkgarch: "i486")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package samba is vulnerable in Slackware 10.0
Upgrade to samba-3.0.28-i486-1_slack10.0 or newer.
');
}
if (slackware_check(osver: "10.1", pkgname: "samba", pkgver: "3.0.28", pkgnum:  "1", pkgarch: "i486")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package samba is vulnerable in Slackware 10.1
Upgrade to samba-3.0.28-i486-1_slack10.1 or newer.
');
}
if (slackware_check(osver: "10.2", pkgname: "samba", pkgver: "3.0.28", pkgnum:  "1", pkgarch: "i486")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package samba is vulnerable in Slackware 10.2
Upgrade to samba-3.0.28-i486-1_slack10.2 or newer.
');
}
if (slackware_check(osver: "11.0", pkgname: "samba", pkgver: "3.0.28", pkgnum:  "1", pkgarch: "i486")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package samba is vulnerable in Slackware 11.0
Upgrade to samba-3.0.28-i486-1_slack11.0 or newer.
');
}
if (slackware_check(osver: "12.0", pkgname: "samba", pkgver: "3.0.28", pkgnum:  "1", pkgarch: "i486")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package samba is vulnerable in Slackware 12.0
Upgrade to samba-3.0.28-i486-1_slack12.0 or newer.
');
}
if (slackware_check(osver: "-current", pkgname: "samba", pkgver: "3.0.28", pkgnum:  "1", pkgarch: "i486")) {
w++;
if (report_verbosity > 0) desc = strcat(desc, '
The package samba is vulnerable in Slackware -current
Upgrade to samba-3.0.28-i486-1 or newer.
');
}

if (w) { security_hole(port: 0, data: desc); }
