#
# (C) Tenable Network Security, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);
desc = "
Synopsis :

The remote host is missing a security update.

Description :

The remote CentOS system is missing a security update which has been 
documented in Red Hat advisory RHSA-2007-1157.

See also :

https://rhn.redhat.com/errata/RHSA-2007-1157.html

Solution :

Upgrade to the newest packages by doing :

  yum update

Risk factor :

High";

if ( description )
{
 script_id(29752);
 script_version("$Revision: 1.2 $");
 script_name(english:"CentOS : RHSA-2007-1157");
 script_description(english:desc);

 script_summary(english:"Checks for missing updates on the remote CentOS system");
 script_category(ACT_GATHER_INFO);
 script_copyright(english:"This script is (C) 2007 Tenable Network Security, Inc.");
 script_family(english:"CentOS Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/CentOS/rpm-list");
 exit(0);
}

include("rpm.inc");

if ( rpm_check(reference:"mysql-5.0.48-2.el4.centos", release:"CentOS-4", cpu:"i386") )  faulty += '- mysql-5.0.48-2.el4.centos\n';
if ( rpm_check(reference:"mysql-bench-5.0.48-2.el4.centos", release:"CentOS-4", cpu:"i386") )  faulty += '- mysql-bench-5.0.48-2.el4.centos\n';
if ( rpm_check(reference:"mysql-cluster-5.0.48-2.el4.centos", release:"CentOS-4", cpu:"i386") )  faulty += '- mysql-cluster-5.0.48-2.el4.centos\n';
if ( rpm_check(reference:"mysql-devel-5.0.48-2.el4.centos", release:"CentOS-4", cpu:"i386") )  faulty += '- mysql-devel-5.0.48-2.el4.centos\n';
if ( rpm_check(reference:"mysql-libs-5.0.48-2.el4.centos", release:"CentOS-4", cpu:"i386") )  faulty += '- mysql-libs-5.0.48-2.el4.centos\n';
if ( rpm_check(reference:"mysql-server-5.0.48-2.el4.centos", release:"CentOS-4", cpu:"i386") )  faulty += '- mysql-server-5.0.48-2.el4.centos\n';
if ( rpm_check(reference:"mysql-test-5.0.48-2.el4.centos", release:"CentOS-4", cpu:"i386") )  faulty += '- mysql-test-5.0.48-2.el4.centos\n';
if ( rpm_check(reference:"mysql-5.0.48-2.el4.centos", release:"CentOS-4", cpu:"x86_64") )  faulty += '- mysql-5.0.48-2.el4.centos\n';
if ( rpm_check(reference:"mysql-bench-5.0.48-2.el4.centos", release:"CentOS-4", cpu:"x86_64") )  faulty += '- mysql-bench-5.0.48-2.el4.centos\n';
if ( rpm_check(reference:"mysql-cluster-5.0.48-2.el4.centos", release:"CentOS-4", cpu:"x86_64") )  faulty += '- mysql-cluster-5.0.48-2.el4.centos\n';
if ( rpm_check(reference:"mysql-devel-5.0.48-2.el4.centos", release:"CentOS-4", cpu:"x86_64") )  faulty += '- mysql-devel-5.0.48-2.el4.centos\n';
if ( rpm_check(reference:"mysql-libs-5.0.48-2.el4.centos", release:"CentOS-4", cpu:"x86_64") )  faulty += '- mysql-libs-5.0.48-2.el4.centos\n';
if ( rpm_check(reference:"mysql-server-5.0.48-2.el4.centos", release:"CentOS-4", cpu:"x86_64") )  faulty += '- mysql-server-5.0.48-2.el4.centos\n';
if ( rpm_check(reference:"mysql-test-5.0.48-2.el4.centos", release:"CentOS-4", cpu:"x86_64") )  faulty += '- mysql-test-5.0.48-2.el4.centos\n';
if ( faulty ) security_hole(port:0, data:desc + '\n\nPlugin output :\n\nThe following RPMs need to be updated :\n' + faulty);
