# This script was automatically generated from the dsa-1342
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that a race condition in the init.d script of the X Font
Server allows the modification of file permissions of arbitrary files if
the local administrator can be tricked into restarting the X font server.
For the oldstable distribution (sarge) xfs is present as part of the
monolithic xfree86 package. A fix will be provided along with a future
security update.
For the stable distribution (etch) this problem has been fixed in
version 1.0.1-6.
For the unstable distribution (sid) this problem has been fixed in
version 1.0.4-2.
We recommend that you upgrade your xfs package.


Solution : http://www.debian.org/security/2007/dsa-1342
Risk factor : High';

if (description) {
 script_id(25825);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1342");
 script_cve_id("CVE-2007-3103");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1342] DSA-1342-1 xfs");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1342-1 xfs");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'xfs', release: '4.0', reference: '1.0.1-6')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package xfs is vulnerable in Debian 4.0.\nUpgrade to xfs_1.0.1-6\n');
}
if (deb_check(prefix: 'xfs', release: '4.0', reference: '1.0.1-6')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package xfs is vulnerable in Debian etch.\nUpgrade to xfs_1.0.1-6\n');
}
if (w) { security_hole(port: 0, data: desc); }
