# This script was automatically generated from the dsa-1348
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that an integer overflow in the xpdf PDF viewer may lead
to the execution of arbitrary code if a malformed PDF file is opened.
poppler includes a copy of the xpdf code and required an update as well.
The oldstable distribution (sarge) doesn\'t include poppler.
For the stable distribution (etch) this problem has been fixed in
version 0.4.5-5.1etch1.
For the unstable distribution (sid) this problem will be fixed soon.
We recommend that you upgrade your poppler packages.


Solution : http://www.debian.org/security/2007/dsa-1348
Risk factor : High';

if (description) {
 script_id(25856);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1348");
 script_cve_id("CVE-2007-3387");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1348] DSA-1348-1 poppler");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1348-1 poppler");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'libpoppler-dev', release: '4.0', reference: '0.4.5-5.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libpoppler-dev is vulnerable in Debian 4.0.\nUpgrade to libpoppler-dev_0.4.5-5.1etch1\n');
}
if (deb_check(prefix: 'libpoppler-glib-dev', release: '4.0', reference: '0.4.5-5.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libpoppler-glib-dev is vulnerable in Debian 4.0.\nUpgrade to libpoppler-glib-dev_0.4.5-5.1etch1\n');
}
if (deb_check(prefix: 'libpoppler-qt-dev', release: '4.0', reference: '0.4.5-5.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libpoppler-qt-dev is vulnerable in Debian 4.0.\nUpgrade to libpoppler-qt-dev_0.4.5-5.1etch1\n');
}
if (deb_check(prefix: 'libpoppler0c2', release: '4.0', reference: '0.4.5-5.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libpoppler0c2 is vulnerable in Debian 4.0.\nUpgrade to libpoppler0c2_0.4.5-5.1etch1\n');
}
if (deb_check(prefix: 'libpoppler0c2-glib', release: '4.0', reference: '0.4.5-5.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libpoppler0c2-glib is vulnerable in Debian 4.0.\nUpgrade to libpoppler0c2-glib_0.4.5-5.1etch1\n');
}
if (deb_check(prefix: 'libpoppler0c2-qt', release: '4.0', reference: '0.4.5-5.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libpoppler0c2-qt is vulnerable in Debian 4.0.\nUpgrade to libpoppler0c2-qt_0.4.5-5.1etch1\n');
}
if (deb_check(prefix: 'poppler-utils', release: '4.0', reference: '0.4.5-5.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package poppler-utils is vulnerable in Debian 4.0.\nUpgrade to poppler-utils_0.4.5-5.1etch1\n');
}
if (deb_check(prefix: 'poppler', release: '4.0', reference: '0.4.5-5.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package poppler is vulnerable in Debian etch.\nUpgrade to poppler_0.4.5-5.1etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
