# This script was automatically generated from the dsa-1349
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that an integer overflow in the xpdf PDF viewer may lead
to the execution of arbitrary code if a malformed PDF file is opened.
libextractor includes a copy of the xpdf code and required an update
as well.
For the oldstable distribution (sarge) this problem has been fixed in
version 0.4.2-2sarge6.
The stable distribution (etch) isn\'t affected by this problem.
The unstable distribution (sid) isn\'t affected by this problem.
We recommend that you upgrade your libextractor packages.


Solution : http://www.debian.org/security/2007/dsa-1349
Risk factor : High';

if (description) {
 script_id(25857);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1349");
 script_cve_id("CVE-2007-3387");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1349] DSA-1349-1 libextractor");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1349-1 libextractor");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'extract', release: '3.1', reference: '0.4.2-2sarge6')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package extract is vulnerable in Debian 3.1.\nUpgrade to extract_0.4.2-2sarge6\n');
}
if (deb_check(prefix: 'libextractor1', release: '3.1', reference: '0.4.2-2sarge6')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libextractor1 is vulnerable in Debian 3.1.\nUpgrade to libextractor1_0.4.2-2sarge6\n');
}
if (deb_check(prefix: 'libextractor1-dev', release: '3.1', reference: '0.4.2-2sarge6')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libextractor1-dev is vulnerable in Debian 3.1.\nUpgrade to libextractor1-dev_0.4.2-2sarge6\n');
}
if (deb_check(prefix: 'libextractor', release: '3.1', reference: '0.4.2-2sarge6')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libextractor is vulnerable in Debian sarge.\nUpgrade to libextractor_0.4.2-2sarge6\n');
}
if (w) { security_hole(port: 0, data: desc); }
