# This script was automatically generated from the dsa-1352
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that an integer overflow in the xpdf PDF viewer may lead
to the execution of arbitrary code if a malformed PDF file is opened.
pdfkit.framework includes a copy of the xpdf code and required an update
as well.
For the oldstable distribution (sarge) this problem has been fixed in
version 0.8-2sarge4.
The package from the stable distribution (etch) links dynamically
against libpoppler and doesn\'t require a separate update.
The package from the unstable distribution (sid) links dynamically
against libpoppler and doesn\'t require a separate update.
We recommend that you upgrade your pdfkit.framework packages.


Solution : http://www.debian.org/security/2007/dsa-1352
Risk factor : High';

if (description) {
 script_id(25860);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1352");
 script_cve_id("CVE-2007-3387");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1352] DSA-1352-1 pdfkit.framework");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1352-1 pdfkit.framework");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'pdfkit.framework', release: '3.1', reference: '0.8-2sarge4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pdfkit.framework is vulnerable in Debian 3.1.\nUpgrade to pdfkit.framework_0.8-2sarge4\n');
}
if (deb_check(prefix: 'pdfkit.framework', release: '3.1', reference: '0.8-2sarge4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pdfkit.framework is vulnerable in Debian sarge.\nUpgrade to pdfkit.framework_0.8-2sarge4\n');
}
if (w) { security_hole(port: 0, data: desc); }
