# This script was automatically generated from the dsa-1355
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that an integer overflow in the xpdf PDF viewer may lead
to the execution of arbitrary code if a malformed PDF file is opened.
kpdf includes a copy of the xpdf code and required an update as well.
For the oldstable distribution (sarge) this problem has been fixed in
version 3.3.2-2sarge5.
For the stable distribution (etch) this problem has been fixed in
version 3.5.5-3etch1.
For the unstable distribution (sid) this problem has been fixed in
version 3.5.7-3.
We recommend that you upgrade your kpdf packages.


Solution : http://www.debian.org/security/2007/dsa-1355
Risk factor : High';

if (description) {
 script_id(25936);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1355");
 script_cve_id("CVE-2007-3387");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1355] DSA-1355-1 kdegraphics");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1355-1 kdegraphics");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'kamera', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kamera is vulnerable in Debian 3.1.\nUpgrade to kamera_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kcoloredit', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kcoloredit is vulnerable in Debian 3.1.\nUpgrade to kcoloredit_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kdegraphics', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kdegraphics is vulnerable in Debian 3.1.\nUpgrade to kdegraphics_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kdegraphics-dev', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kdegraphics-dev is vulnerable in Debian 3.1.\nUpgrade to kdegraphics-dev_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kdegraphics-kfile-plugins', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kdegraphics-kfile-plugins is vulnerable in Debian 3.1.\nUpgrade to kdegraphics-kfile-plugins_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kdvi', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kdvi is vulnerable in Debian 3.1.\nUpgrade to kdvi_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kfax', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kfax is vulnerable in Debian 3.1.\nUpgrade to kfax_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kgamma', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kgamma is vulnerable in Debian 3.1.\nUpgrade to kgamma_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kghostview', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kghostview is vulnerable in Debian 3.1.\nUpgrade to kghostview_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kiconedit', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kiconedit is vulnerable in Debian 3.1.\nUpgrade to kiconedit_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kmrml', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kmrml is vulnerable in Debian 3.1.\nUpgrade to kmrml_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kolourpaint', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kolourpaint is vulnerable in Debian 3.1.\nUpgrade to kolourpaint_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kooka', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kooka is vulnerable in Debian 3.1.\nUpgrade to kooka_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kpdf', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kpdf is vulnerable in Debian 3.1.\nUpgrade to kpdf_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kpovmodeler', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kpovmodeler is vulnerable in Debian 3.1.\nUpgrade to kpovmodeler_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kruler', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kruler is vulnerable in Debian 3.1.\nUpgrade to kruler_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'ksnapshot', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package ksnapshot is vulnerable in Debian 3.1.\nUpgrade to ksnapshot_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'ksvg', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package ksvg is vulnerable in Debian 3.1.\nUpgrade to ksvg_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kuickshow', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kuickshow is vulnerable in Debian 3.1.\nUpgrade to kuickshow_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kview', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kview is vulnerable in Debian 3.1.\nUpgrade to kview_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kviewshell', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kviewshell is vulnerable in Debian 3.1.\nUpgrade to kviewshell_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'libkscan-dev', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libkscan-dev is vulnerable in Debian 3.1.\nUpgrade to libkscan-dev_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'libkscan1', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libkscan1 is vulnerable in Debian 3.1.\nUpgrade to libkscan1_3.3.2-2sarge5\n');
}
if (deb_check(prefix: 'kamera', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kamera is vulnerable in Debian 4.0.\nUpgrade to kamera_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kcoloredit', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kcoloredit is vulnerable in Debian 4.0.\nUpgrade to kcoloredit_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kdegraphics', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kdegraphics is vulnerable in Debian 4.0.\nUpgrade to kdegraphics_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kdegraphics-dbg', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kdegraphics-dbg is vulnerable in Debian 4.0.\nUpgrade to kdegraphics-dbg_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kdegraphics-dev', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kdegraphics-dev is vulnerable in Debian 4.0.\nUpgrade to kdegraphics-dev_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kdegraphics-doc-html', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kdegraphics-doc-html is vulnerable in Debian 4.0.\nUpgrade to kdegraphics-doc-html_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kdegraphics-kfile-plugins', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kdegraphics-kfile-plugins is vulnerable in Debian 4.0.\nUpgrade to kdegraphics-kfile-plugins_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kdvi', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kdvi is vulnerable in Debian 4.0.\nUpgrade to kdvi_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kfax', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kfax is vulnerable in Debian 4.0.\nUpgrade to kfax_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kfaxview', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kfaxview is vulnerable in Debian 4.0.\nUpgrade to kfaxview_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kgamma', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kgamma is vulnerable in Debian 4.0.\nUpgrade to kgamma_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kghostview', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kghostview is vulnerable in Debian 4.0.\nUpgrade to kghostview_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kiconedit', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kiconedit is vulnerable in Debian 4.0.\nUpgrade to kiconedit_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kmrml', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kmrml is vulnerable in Debian 4.0.\nUpgrade to kmrml_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kolourpaint', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kolourpaint is vulnerable in Debian 4.0.\nUpgrade to kolourpaint_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kooka', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kooka is vulnerable in Debian 4.0.\nUpgrade to kooka_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kpdf', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kpdf is vulnerable in Debian 4.0.\nUpgrade to kpdf_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kpovmodeler', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kpovmodeler is vulnerable in Debian 4.0.\nUpgrade to kpovmodeler_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kruler', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kruler is vulnerable in Debian 4.0.\nUpgrade to kruler_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'ksnapshot', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package ksnapshot is vulnerable in Debian 4.0.\nUpgrade to ksnapshot_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'ksvg', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package ksvg is vulnerable in Debian 4.0.\nUpgrade to ksvg_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kuickshow', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kuickshow is vulnerable in Debian 4.0.\nUpgrade to kuickshow_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kview', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kview is vulnerable in Debian 4.0.\nUpgrade to kview_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kviewshell', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kviewshell is vulnerable in Debian 4.0.\nUpgrade to kviewshell_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'libkscan-dev', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libkscan-dev is vulnerable in Debian 4.0.\nUpgrade to libkscan-dev_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'libkscan1', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libkscan1 is vulnerable in Debian 4.0.\nUpgrade to libkscan1_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kdegraphics', release: '4.0', reference: '3.5.5-3etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kdegraphics is vulnerable in Debian etch.\nUpgrade to kdegraphics_3.5.5-3etch1\n');
}
if (deb_check(prefix: 'kdegraphics', release: '3.1', reference: '3.3.2-2sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kdegraphics is vulnerable in Debian sarge.\nUpgrade to kdegraphics_3.3.2-2sarge5\n');
}
if (w) { security_hole(port: 0, data: desc); }
