# This script was automatically generated from the dsa-1371
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

Several vulnerabilities have been discovered in phpWiki, a wiki engine
written in PHP. The Common Vulnerabilities and Exposures project
identifies the following problems:

    
    It was discovered that phpWiki performs insufficient file name 
    validation, which allows unrestricted file uploads.
    
    
    It was discovered that phpWiki performs insufficient file name 
    validation, which allows unrestricted file uploads.
    
    
    If the configuration lacks a nonzero PASSWORD_LENGTH_MINIMUM,
    phpWiki might allow remote attackers to bypass authentication via
    an empty password, which causes ldap_bind to return true when used
    with certain LDAP implementations.
    

The old stable distribution (sarge) does not contain phpwiki packages.


For the stable distribution (etch) these problems have been fixed in
version 1.3.12p3-5etch1.


For the unstable distribution (sid) these problems have been fixed in
version 1.3.12p3-6.1.


We recommend that you upgrade your phpwiki package.



Solution : http://www.debian.org/security/2007/dsa-1371
Risk factor : High';

if (description) {
 script_id(26032);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1371");
 script_cve_id("CVE-2007-2024", "CVE-2007-2025", "CVE-2007-3193");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1371] DSA-1371-1 phpwiki");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1371-1 phpwiki");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'phpwiki', release: '4.0', reference: '1.3.12p3-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package phpwiki is vulnerable in Debian 4.0.\nUpgrade to phpwiki_1.3.12p3-5etch1\n');
}
if (deb_check(prefix: 'phpwiki', release: '4.0', reference: '1.3.12p3-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package phpwiki is vulnerable in Debian etch.\nUpgrade to phpwiki_1.3.12p3-5etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
