# This script was automatically generated from the dsa-1380
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Kalle Olavi Niemitalo  discovered that elinks, an advanced text-mode WWW 
browser, sent HTTP POST data in cleartext when using an HTTPS proxy server
potentially allowing private information to be disclosed.
For the stable distribution (etch), this problem has been fixed in version
0.11.1-1.2etch1.
For the unstable distribution (sid), this problem has been fixed in version
0.11.1-1.5.
We recommend that you upgrade your elinks package.


Solution : http://www.debian.org/security/2007/dsa-1380
Risk factor : High';

if (description) {
 script_id(26210);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1380");
 script_cve_id("CVE-2007-5034");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1380] DSA-1380-1 elinks");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1380-1 elinks");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'elinks', release: '4.0', reference: '0.11.1-1.2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package elinks is vulnerable in Debian 4.0.\nUpgrade to elinks_0.11.1-1.2etch1\n');
}
if (deb_check(prefix: 'elinks-lite', release: '4.0', reference: '0.11.1-1.2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package elinks-lite is vulnerable in Debian 4.0.\nUpgrade to elinks-lite_0.11.1-1.2etch1\n');
}
if (deb_check(prefix: 'elinks', release: '4.0', reference: '0.11.1-1.2etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package elinks is vulnerable in Debian etch.\nUpgrade to elinks_0.11.1-1.2etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
