# This script was automatically generated from the dsa-1391
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Several remote vulnerabilities have been discovered in the Icedove mail client,
an unbranded version of the Thunderbird client. The Common Vulnerabilities and
Exposures project identifies the following problems:
    Bernd Mielke, Boris Zbarsky, David Baron, Daniel Veditz, Jesse Ruderman,
    Lukas Loehrer, Martijn Wargers, Mats Palmgren, Olli Pettay, Paul
    Nickerson and Vladimir Sukhoy discovered crashes in the layout engine,
    which might allow the execution of arbitrary code.
    Asaf Romano, Jesse Ruderman and Igor Bukanov discovered crashes in the
    javascript engine, which might allow the execution of arbitrary code.
    "moz_bug_r_a4" discovered that a regression in the handling of
    "about:blank" windows used by addons may lead to an attacker being
    able to modify the content of web sites.
    Jesper Johansson discovered that missing sanitising of double-quotes
    and spaces in URIs passed to external programs may allow an attacker
    to pass arbitrary arguments to the helper program if the user is
    tricked into opening a malformed web page.
    L. David Baron, Boris Zbarsky, Georgi Guninski, Paul Nickerson, Olli Pettay,
    Jesse Ruderman, Vladimir Sukhoy, Daniel Veditz, and Martijn Wargers discovered
    crashes in the layout engine, which might allow the execution of arbitrary code.
    Igor Bukanov, Eli Friedman, and Jesse Ruderman discovered crashes in the
    Javascript engine, which might allow the execution of arbitrary code. Generally,
    enabling Javascript in Icedove is not recommended.
The Mozilla products in the oldstable distribution (sarge) are no longer
supported with security updates.
For the stable distribution (etch) these problems have been fixed in version
1.5.0.13+1.5.0.14b.dfsg1-0etch1. Builds for hppa will be provided later.
For the unstable distribution (sid) these problems will be fixed soon.
We recommend that you upgrade your icedove packages.


Solution : http://www.debian.org/security/2007/dsa-1391
Risk factor : High';

if (description) {
 script_id(27546);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1391");
 script_cve_id("CVE-2007-3734", "CVE-2007-3735", "CVE-2007-3844", "CVE-2007-3845", "CVE-2007-5339", "CVE-2007-5340");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1391] DSA-1391-1 icedove");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1391-1 icedove");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'icedove', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package icedove is vulnerable in Debian 4.0.\nUpgrade to icedove_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (deb_check(prefix: 'icedove-dbg', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package icedove-dbg is vulnerable in Debian 4.0.\nUpgrade to icedove-dbg_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (deb_check(prefix: 'icedove-dev', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package icedove-dev is vulnerable in Debian 4.0.\nUpgrade to icedove-dev_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (deb_check(prefix: 'icedove-gnome-support', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package icedove-gnome-support is vulnerable in Debian 4.0.\nUpgrade to icedove-gnome-support_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (deb_check(prefix: 'icedove-inspector', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package icedove-inspector is vulnerable in Debian 4.0.\nUpgrade to icedove-inspector_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (deb_check(prefix: 'icedove-typeaheadfind', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package icedove-typeaheadfind is vulnerable in Debian 4.0.\nUpgrade to icedove-typeaheadfind_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (deb_check(prefix: 'mozilla-thunderbird', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mozilla-thunderbird is vulnerable in Debian 4.0.\nUpgrade to mozilla-thunderbird_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (deb_check(prefix: 'mozilla-thunderbird-dev', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mozilla-thunderbird-dev is vulnerable in Debian 4.0.\nUpgrade to mozilla-thunderbird-dev_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (deb_check(prefix: 'mozilla-thunderbird-inspector', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mozilla-thunderbird-inspector is vulnerable in Debian 4.0.\nUpgrade to mozilla-thunderbird-inspector_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (deb_check(prefix: 'mozilla-thunderbird-typeaheadfind', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mozilla-thunderbird-typeaheadfind is vulnerable in Debian 4.0.\nUpgrade to mozilla-thunderbird-typeaheadfind_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (deb_check(prefix: 'thunderbird', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package thunderbird is vulnerable in Debian 4.0.\nUpgrade to thunderbird_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (deb_check(prefix: 'thunderbird-dbg', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package thunderbird-dbg is vulnerable in Debian 4.0.\nUpgrade to thunderbird-dbg_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (deb_check(prefix: 'thunderbird-dev', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package thunderbird-dev is vulnerable in Debian 4.0.\nUpgrade to thunderbird-dev_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (deb_check(prefix: 'thunderbird-gnome-support', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package thunderbird-gnome-support is vulnerable in Debian 4.0.\nUpgrade to thunderbird-gnome-support_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (deb_check(prefix: 'thunderbird-inspector', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package thunderbird-inspector is vulnerable in Debian 4.0.\nUpgrade to thunderbird-inspector_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (deb_check(prefix: 'thunderbird-typeaheadfind', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package thunderbird-typeaheadfind is vulnerable in Debian 4.0.\nUpgrade to thunderbird-typeaheadfind_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (deb_check(prefix: 'icedove', release: '4.0', reference: '1.5.0.13+1.5.0.14b.dfsg1-0etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package icedove is vulnerable in Debian etch.\nUpgrade to icedove_1.5.0.13+1.5.0.14b.dfsg1-0etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
