# This script was automatically generated from the dsa-1398
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

Bernhard Mueller of SEC Consult has discovered a format string
vulnerability in perdition, an IMAP proxy.  This vulnerabilty could
allow an unauthenticated remote user to run arbitrary code on the
perdition server by providing a specially formatted IMAP tag.


For the old stable distribution (sarge), this problem has been fixed in
version 1.15-5sarge1.


For the stable distribution (etch), this problem has been fixed in
version 1.17-7etch1.


We recommend that you upgrade your perdition package.



Solution : http://www.debian.org/security/2007/dsa-1398
Risk factor : High';

if (description) {
 script_id(27628);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1398");
 script_cve_id("CVE-2007-5740");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1398] DSA-1398-1 perdition");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1398-1 perdition");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'perdition', release: '3.1', reference: '1.15-5sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package perdition is vulnerable in Debian 3.1.\nUpgrade to perdition_1.15-5sarge1\n');
}
if (deb_check(prefix: 'perdition-dev', release: '3.1', reference: '1.15-5sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package perdition-dev is vulnerable in Debian 3.1.\nUpgrade to perdition-dev_1.15-5sarge1\n');
}
if (deb_check(prefix: 'perdition-ldap', release: '3.1', reference: '1.15-5sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package perdition-ldap is vulnerable in Debian 3.1.\nUpgrade to perdition-ldap_1.15-5sarge1\n');
}
if (deb_check(prefix: 'perdition-mysql', release: '3.1', reference: '1.15-5sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package perdition-mysql is vulnerable in Debian 3.1.\nUpgrade to perdition-mysql_1.15-5sarge1\n');
}
if (deb_check(prefix: 'perdition-odbc', release: '3.1', reference: '1.15-5sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package perdition-odbc is vulnerable in Debian 3.1.\nUpgrade to perdition-odbc_1.15-5sarge1\n');
}
if (deb_check(prefix: 'perdition-postgresql', release: '3.1', reference: '1.15-5sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package perdition-postgresql is vulnerable in Debian 3.1.\nUpgrade to perdition-postgresql_1.15-5sarge1\n');
}
if (deb_check(prefix: 'perdition', release: '4.0', reference: '1.17-7etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package perdition is vulnerable in Debian 4.0.\nUpgrade to perdition_1.17-7etch1\n');
}
if (deb_check(prefix: 'perdition-dev', release: '4.0', reference: '1.17-7etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package perdition-dev is vulnerable in Debian 4.0.\nUpgrade to perdition-dev_1.17-7etch1\n');
}
if (deb_check(prefix: 'perdition-ldap', release: '4.0', reference: '1.17-7etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package perdition-ldap is vulnerable in Debian 4.0.\nUpgrade to perdition-ldap_1.17-7etch1\n');
}
if (deb_check(prefix: 'perdition-mysql', release: '4.0', reference: '1.17-7etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package perdition-mysql is vulnerable in Debian 4.0.\nUpgrade to perdition-mysql_1.17-7etch1\n');
}
if (deb_check(prefix: 'perdition-odbc', release: '4.0', reference: '1.17-7etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package perdition-odbc is vulnerable in Debian 4.0.\nUpgrade to perdition-odbc_1.17-7etch1\n');
}
if (deb_check(prefix: 'perdition-postgresql', release: '4.0', reference: '1.17-7etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package perdition-postgresql is vulnerable in Debian 4.0.\nUpgrade to perdition-postgresql_1.17-7etch1\n');
}
if (deb_check(prefix: 'perdition', release: '4.0', reference: '1.17-7etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package perdition is vulnerable in Debian etch.\nUpgrade to perdition_1.17-7etch1\n');
}
if (deb_check(prefix: 'perdition', release: '3.1', reference: '1.15-5sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package perdition is vulnerable in Debian sarge.\nUpgrade to perdition_1.15-5sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
