# This script was automatically generated from the dsa-1407
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

Alin Rad Pop discovered that the Common UNIX Printing System is
vulnerable to an off-by-one buffer overflow in the code to process IPP
packets, which may lead to the execution of arbitrary code.


The cupsys version in the old stable distribution (sarge) is not
vulnerable to arbitrary code execution.


For the stable distribution (etch), this problem has been fixed in
version 1.2.7-4etch1. Updated packages for the arm architecture will be
provided later.


We recommend that you upgrade your cupsys packages.



Solution : http://www.debian.org/security/2007/dsa-1407
Risk factor : High';

if (description) {
 script_id(28253);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1407");
 script_cve_id("CVE-2007-4351");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1407] DSA-1407-1 cupsys");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1407-1 cupsys");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'cupsys', release: '4.0', reference: '1.2.7-4etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package cupsys is vulnerable in Debian 4.0.\nUpgrade to cupsys_1.2.7-4etch1\n');
}
if (deb_check(prefix: 'cupsys-bsd', release: '4.0', reference: '1.2.7-4etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package cupsys-bsd is vulnerable in Debian 4.0.\nUpgrade to cupsys-bsd_1.2.7-4etch1\n');
}
if (deb_check(prefix: 'cupsys-client', release: '4.0', reference: '1.2.7-4etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package cupsys-client is vulnerable in Debian 4.0.\nUpgrade to cupsys-client_1.2.7-4etch1\n');
}
if (deb_check(prefix: 'cupsys-common', release: '4.0', reference: '1.2.7-4etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package cupsys-common is vulnerable in Debian 4.0.\nUpgrade to cupsys-common_1.2.7-4etch1\n');
}
if (deb_check(prefix: 'cupsys-dbg', release: '4.0', reference: '1.2.7-4etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package cupsys-dbg is vulnerable in Debian 4.0.\nUpgrade to cupsys-dbg_1.2.7-4etch1\n');
}
if (deb_check(prefix: 'libcupsimage2', release: '4.0', reference: '1.2.7-4etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libcupsimage2 is vulnerable in Debian 4.0.\nUpgrade to libcupsimage2_1.2.7-4etch1\n');
}
if (deb_check(prefix: 'libcupsimage2-dev', release: '4.0', reference: '1.2.7-4etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libcupsimage2-dev is vulnerable in Debian 4.0.\nUpgrade to libcupsimage2-dev_1.2.7-4etch1\n');
}
if (deb_check(prefix: 'libcupsys2', release: '4.0', reference: '1.2.7-4etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libcupsys2 is vulnerable in Debian 4.0.\nUpgrade to libcupsys2_1.2.7-4etch1\n');
}
if (deb_check(prefix: 'libcupsys2-dev', release: '4.0', reference: '1.2.7-4etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libcupsys2-dev is vulnerable in Debian 4.0.\nUpgrade to libcupsys2-dev_1.2.7-4etch1\n');
}
if (deb_check(prefix: 'libcupsys2-gnutls10', release: '4.0', reference: '1.2.7-4etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libcupsys2-gnutls10 is vulnerable in Debian 4.0.\nUpgrade to libcupsys2-gnutls10_1.2.7-4etch1\n');
}
if (deb_check(prefix: 'cupsys', release: '4.0', reference: '1.2.7-4etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package cupsys is vulnerable in Debian etch.\nUpgrade to cupsys_1.2.7-4etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
