# This script was automatically generated from the dsa-1431
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
It was discovered that ruby-gnome2, the GNOME-related bindings for the Ruby
language, didn\'t properly sanitize input prior to constructing dialogs.
This could allow the execution of arbitrary code if untrusted input
is displayed within a dialog.
For the old stable distribution (sarge), this problem has been fixed in
version 0.12.0-2sarge1.
For the stable distribution (etch), this problem has been fixed in version
0.15.0-1.1etch1.
For the unstable distribution (sid), this problem has been fixed in
version 0.16.0-10.
We recommend that you upgrade your ruby-gnome2 package.


Solution : http://www.debian.org/security/2007/dsa-1431
Risk factor : High';

if (description) {
 script_id(29339);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1431");
 script_cve_id("CVE-2007-6183");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1431] DSA-1431-1 ruby-gnome2");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1431-1 ruby-gnome2");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'libart2-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libart2-ruby is vulnerable in Debian 3.1.\nUpgrade to libart2-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libatk1-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libatk1-ruby is vulnerable in Debian 3.1.\nUpgrade to libatk1-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libgconf2-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgconf2-ruby is vulnerable in Debian 3.1.\nUpgrade to libgconf2-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libgda2-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgda2-ruby is vulnerable in Debian 3.1.\nUpgrade to libgda2-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libgdk-pixbuf2-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgdk-pixbuf2-ruby is vulnerable in Debian 3.1.\nUpgrade to libgdk-pixbuf2-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libglade2-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libglade2-ruby is vulnerable in Debian 3.1.\nUpgrade to libglade2-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libglib2-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libglib2-ruby is vulnerable in Debian 3.1.\nUpgrade to libglib2-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libgnome2-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgnome2-ruby is vulnerable in Debian 3.1.\nUpgrade to libgnome2-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libgnomecanvas2-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgnomecanvas2-ruby is vulnerable in Debian 3.1.\nUpgrade to libgnomecanvas2-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libgnomeprint2-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgnomeprint2-ruby is vulnerable in Debian 3.1.\nUpgrade to libgnomeprint2-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libgnomeprintui2-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgnomeprintui2-ruby is vulnerable in Debian 3.1.\nUpgrade to libgnomeprintui2-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libgnomevfs2-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgnomevfs2-ruby is vulnerable in Debian 3.1.\nUpgrade to libgnomevfs2-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libgstreamer0.8-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgstreamer0.8-ruby is vulnerable in Debian 3.1.\nUpgrade to libgstreamer0.8-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libgtk2-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgtk2-ruby is vulnerable in Debian 3.1.\nUpgrade to libgtk2-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libgtkglext1-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgtkglext1-ruby is vulnerable in Debian 3.1.\nUpgrade to libgtkglext1-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libgtkhtml2-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgtkhtml2-ruby is vulnerable in Debian 3.1.\nUpgrade to libgtkhtml2-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libgtksourceview1-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgtksourceview1-ruby is vulnerable in Debian 3.1.\nUpgrade to libgtksourceview1-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libpanel-applet2-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libpanel-applet2-ruby is vulnerable in Debian 3.1.\nUpgrade to libpanel-applet2-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libpango1-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libpango1-ruby is vulnerable in Debian 3.1.\nUpgrade to libpango1-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'librsvg2-ruby', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package librsvg2-ruby is vulnerable in Debian 3.1.\nUpgrade to librsvg2-ruby_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'ruby-gnome2', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package ruby-gnome2 is vulnerable in Debian 3.1.\nUpgrade to ruby-gnome2_0.12.0-2sarge1\n');
}
if (deb_check(prefix: 'libart2-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libart2-ruby is vulnerable in Debian 4.0.\nUpgrade to libart2-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libatk1-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libatk1-ruby is vulnerable in Debian 4.0.\nUpgrade to libatk1-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libgconf2-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgconf2-ruby is vulnerable in Debian 4.0.\nUpgrade to libgconf2-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libgda2-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgda2-ruby is vulnerable in Debian 4.0.\nUpgrade to libgda2-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libgdk-pixbuf2-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgdk-pixbuf2-ruby is vulnerable in Debian 4.0.\nUpgrade to libgdk-pixbuf2-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libglade2-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libglade2-ruby is vulnerable in Debian 4.0.\nUpgrade to libglade2-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libglib2-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libglib2-ruby is vulnerable in Debian 4.0.\nUpgrade to libglib2-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libgnome2-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgnome2-ruby is vulnerable in Debian 4.0.\nUpgrade to libgnome2-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libgnomecanvas2-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgnomecanvas2-ruby is vulnerable in Debian 4.0.\nUpgrade to libgnomecanvas2-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libgnomeprint2-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgnomeprint2-ruby is vulnerable in Debian 4.0.\nUpgrade to libgnomeprint2-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libgnomeprintui2-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgnomeprintui2-ruby is vulnerable in Debian 4.0.\nUpgrade to libgnomeprintui2-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libgnomevfs2-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgnomevfs2-ruby is vulnerable in Debian 4.0.\nUpgrade to libgnomevfs2-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libgstreamer0.8-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgstreamer0.8-ruby is vulnerable in Debian 4.0.\nUpgrade to libgstreamer0.8-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libgtk-mozembed-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgtk-mozembed-ruby is vulnerable in Debian 4.0.\nUpgrade to libgtk-mozembed-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libgtk2-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgtk2-ruby is vulnerable in Debian 4.0.\nUpgrade to libgtk2-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libgtkglext1-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgtkglext1-ruby is vulnerable in Debian 4.0.\nUpgrade to libgtkglext1-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libgtkhtml2-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgtkhtml2-ruby is vulnerable in Debian 4.0.\nUpgrade to libgtkhtml2-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libgtksourceview1-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libgtksourceview1-ruby is vulnerable in Debian 4.0.\nUpgrade to libgtksourceview1-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libpanel-applet2-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libpanel-applet2-ruby is vulnerable in Debian 4.0.\nUpgrade to libpanel-applet2-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libpango1-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libpango1-ruby is vulnerable in Debian 4.0.\nUpgrade to libpango1-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'librsvg2-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package librsvg2-ruby is vulnerable in Debian 4.0.\nUpgrade to librsvg2-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'libvte-ruby', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libvte-ruby is vulnerable in Debian 4.0.\nUpgrade to libvte-ruby_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'ruby-gnome2', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package ruby-gnome2 is vulnerable in Debian 4.0.\nUpgrade to ruby-gnome2_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'ruby-gnome2', release: '4.0', reference: '0.15.0-1.1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package ruby-gnome2 is vulnerable in Debian etch.\nUpgrade to ruby-gnome2_0.15.0-1.1etch1\n');
}
if (deb_check(prefix: 'ruby-gnome2', release: '3.1', reference: '0.12.0-2sarge1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package ruby-gnome2 is vulnerable in Debian sarge.\nUpgrade to ruby-gnome2_0.12.0-2sarge1\n');
}
if (w) { security_hole(port: 0, data: desc); }
