# This script was automatically generated from the dsa-1432
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Alin Rad Pop discovered that link-grammar, Carnegie Mellon University\'s
link grammar parser for English, performed insufficient validation within
its tokenizer, which could allow a malicious input file to execute
arbitrary code.
For the old stable distribution (sarge), this package is not present.
For the stable distribution (etch), this problem has been fixed in version
4.2.2-4etch1.
For the unstable distribution (sid), this problem has been fixed in version
4.2.5-1.
We recommend that you upgrade your link-grammar package.


Solution : http://www.debian.org/security/2007/dsa-1432
Risk factor : High';

if (description) {
 script_id(29705);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1432");
 script_cve_id("CVE-2007-5395");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1432] DSA-1432-1 link-grammar");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1432-1 link-grammar");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'liblink-grammar4', release: '4.0', reference: '4.2.2-4etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package liblink-grammar4 is vulnerable in Debian 4.0.\nUpgrade to liblink-grammar4_4.2.2-4etch1\n');
}
if (deb_check(prefix: 'liblink-grammar4-dev', release: '4.0', reference: '4.2.2-4etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package liblink-grammar4-dev is vulnerable in Debian 4.0.\nUpgrade to liblink-grammar4-dev_4.2.2-4etch1\n');
}
if (deb_check(prefix: 'link-grammar', release: '4.0', reference: '4.2.2-4etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package link-grammar is vulnerable in Debian 4.0.\nUpgrade to link-grammar_4.2.2-4etch1\n');
}
if (deb_check(prefix: 'link-grammar-dictionaries-en', release: '4.0', reference: '4.2.2-4etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package link-grammar-dictionaries-en is vulnerable in Debian 4.0.\nUpgrade to link-grammar-dictionaries-en_4.2.2-4etch1\n');
}
if (deb_check(prefix: 'link-grammar', release: '4.0', reference: '4.2.2-4etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package link-grammar is vulnerable in Debian etch.\nUpgrade to link-grammar_4.2.2-4etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
