# This script was automatically generated from the dsa-1434
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

It was discovered that in MyDNS, a domain name server with database
backend, the daemon could be crashed through malicious remote update
requests, which may lead to denial of service.


The old stable distribution (sarge) is not affected.


For the stable distribution (etch), this problem has been fixed in
version 1:1.1.0-7etch1.


For the unstable distribution (sid), this problem has been fixed in
version 1.1.0-8.

We recommend that you upgrade your mydns packages.


Solution : http://www.debian.org/security/2007/dsa-1434
Risk factor : High';

if (description) {
 script_id(29707);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1434");
 script_cve_id("CVE-2007-2362");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1434] DSA-1434-1 mydns");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1434-1 mydns");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'mydns-mysql', release: '4.0', reference: '1.1.0-7etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mydns-mysql is vulnerable in Debian 4.0.\nUpgrade to mydns-mysql_1.1.0-7etch1\n');
}
if (deb_check(prefix: 'mydns-pgsql', release: '4.0', reference: '1.1.0-7etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mydns-pgsql is vulnerable in Debian 4.0.\nUpgrade to mydns-pgsql_1.1.0-7etch1\n');
}
if (deb_check(prefix: 'mydns', release: '4.0', reference: '1.1.0-7etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package mydns is vulnerable in Debian etch.\nUpgrade to mydns_1.1.0-7etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
