# This script was automatically generated from the dsa-1442
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

Rubert Buchholz discovered that libsndfile, a library for reading / 
writing audio files performs insufficient boundary checks when
processing FLAC files, which might lead to the execution of arbitrary
code.


The old stable distribution (sarge) is not affected by this problem.


For the stable distribution (etch), this problem has been fixed in
version 1.0.16-2.


We recommend that you upgrade your libsndfile packages.



Solution : http://www.debian.org/security/2007/dsa-1442
Risk factor : High';

if (description) {
 script_id(29836);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1442");
 script_cve_id("CVE-2007-4974");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1442] DSA-1442-1 libsndfile");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1442-1 libsndfile");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'libsndfile1', release: '4.0', reference: '1.0.16-2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libsndfile1 is vulnerable in Debian 4.0.\nUpgrade to libsndfile1_1.0.16-2\n');
}
if (deb_check(prefix: 'libsndfile1-dev', release: '4.0', reference: '1.0.16-2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libsndfile1-dev is vulnerable in Debian 4.0.\nUpgrade to libsndfile1-dev_1.0.16-2\n');
}
if (deb_check(prefix: 'sndfile-programs', release: '4.0', reference: '1.0.16-2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package sndfile-programs is vulnerable in Debian 4.0.\nUpgrade to sndfile-programs_1.0.16-2\n');
}
if (deb_check(prefix: 'libsndfile', release: '4.0', reference: '1.0.16-2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libsndfile is vulnerable in Debian etch.\nUpgrade to libsndfile_1.0.16-2\n');
}
if (w) { security_hole(port: 0, data: desc); }
