# This script was automatically generated from the dsa-1459
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

It was discovered that Gforge, a collaborative development tool, did not
properly sanitise some CGI parameters, allowing SQL injection in scripts
related to RSS exports.


For the old stable distribution (sarge), this problem has been fixed in
version 3.1-31sarge5.


For the stable distribution (etch), this problem has been fixed in
version 4.5.14-22etch4.


For the unstable distribution (sid), this problem has been fixed in
version 4.6.99+svn6330-1.


We recommend that you upgrade your gforge packages.



Solution : http://www.debian.org/security/2008/dsa-1459
Risk factor : High';

if (description) {
 script_id(29936);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1459");
 script_cve_id("CVE-2008-0173");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1459] DSA-1459-1 gforge");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1459-1 gforge");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'gforge', release: '3.1', reference: '3.1-31sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge is vulnerable in Debian 3.1.\nUpgrade to gforge_3.1-31sarge5\n');
}
if (deb_check(prefix: 'gforge-common', release: '3.1', reference: '3.1-31sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-common is vulnerable in Debian 3.1.\nUpgrade to gforge-common_3.1-31sarge5\n');
}
if (deb_check(prefix: 'gforge-cvs', release: '3.1', reference: '3.1-31sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-cvs is vulnerable in Debian 3.1.\nUpgrade to gforge-cvs_3.1-31sarge5\n');
}
if (deb_check(prefix: 'gforge-db-postgresql', release: '3.1', reference: '3.1-31sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-db-postgresql is vulnerable in Debian 3.1.\nUpgrade to gforge-db-postgresql_3.1-31sarge5\n');
}
if (deb_check(prefix: 'gforge-dns-bind9', release: '3.1', reference: '3.1-31sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-dns-bind9 is vulnerable in Debian 3.1.\nUpgrade to gforge-dns-bind9_3.1-31sarge5\n');
}
if (deb_check(prefix: 'gforge-ftp-proftpd', release: '3.1', reference: '3.1-31sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-ftp-proftpd is vulnerable in Debian 3.1.\nUpgrade to gforge-ftp-proftpd_3.1-31sarge5\n');
}
if (deb_check(prefix: 'gforge-ldap-openldap', release: '3.1', reference: '3.1-31sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-ldap-openldap is vulnerable in Debian 3.1.\nUpgrade to gforge-ldap-openldap_3.1-31sarge5\n');
}
if (deb_check(prefix: 'gforge-lists-mailman', release: '3.1', reference: '3.1-31sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-lists-mailman is vulnerable in Debian 3.1.\nUpgrade to gforge-lists-mailman_3.1-31sarge5\n');
}
if (deb_check(prefix: 'gforge-mta-exim', release: '3.1', reference: '3.1-31sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-mta-exim is vulnerable in Debian 3.1.\nUpgrade to gforge-mta-exim_3.1-31sarge5\n');
}
if (deb_check(prefix: 'gforge-mta-exim4', release: '3.1', reference: '3.1-31sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-mta-exim4 is vulnerable in Debian 3.1.\nUpgrade to gforge-mta-exim4_3.1-31sarge5\n');
}
if (deb_check(prefix: 'gforge-mta-postfix', release: '3.1', reference: '3.1-31sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-mta-postfix is vulnerable in Debian 3.1.\nUpgrade to gforge-mta-postfix_3.1-31sarge5\n');
}
if (deb_check(prefix: 'gforge-shell-ldap', release: '3.1', reference: '3.1-31sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-shell-ldap is vulnerable in Debian 3.1.\nUpgrade to gforge-shell-ldap_3.1-31sarge5\n');
}
if (deb_check(prefix: 'gforge-sourceforge-transition', release: '3.1', reference: '3.1-31sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-sourceforge-transition is vulnerable in Debian 3.1.\nUpgrade to gforge-sourceforge-transition_3.1-31sarge5\n');
}
if (deb_check(prefix: 'gforge-web-apache', release: '3.1', reference: '3.1-31sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-web-apache is vulnerable in Debian 3.1.\nUpgrade to gforge-web-apache_3.1-31sarge5\n');
}
if (deb_check(prefix: 'sourceforge', release: '3.1', reference: '3.1-31sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package sourceforge is vulnerable in Debian 3.1.\nUpgrade to sourceforge_3.1-31sarge5\n');
}
if (deb_check(prefix: 'gforge', release: '4.0', reference: '4.5.14-22etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge is vulnerable in Debian 4.0.\nUpgrade to gforge_4.5.14-22etch4\n');
}
if (deb_check(prefix: 'gforge-common', release: '4.0', reference: '4.5.14-22etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-common is vulnerable in Debian 4.0.\nUpgrade to gforge-common_4.5.14-22etch4\n');
}
if (deb_check(prefix: 'gforge-db-postgresql', release: '4.0', reference: '4.5.14-22etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-db-postgresql is vulnerable in Debian 4.0.\nUpgrade to gforge-db-postgresql_4.5.14-22etch4\n');
}
if (deb_check(prefix: 'gforge-dns-bind9', release: '4.0', reference: '4.5.14-22etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-dns-bind9 is vulnerable in Debian 4.0.\nUpgrade to gforge-dns-bind9_4.5.14-22etch4\n');
}
if (deb_check(prefix: 'gforge-ftp-proftpd', release: '4.0', reference: '4.5.14-22etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-ftp-proftpd is vulnerable in Debian 4.0.\nUpgrade to gforge-ftp-proftpd_4.5.14-22etch4\n');
}
if (deb_check(prefix: 'gforge-ldap-openldap', release: '4.0', reference: '4.5.14-22etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-ldap-openldap is vulnerable in Debian 4.0.\nUpgrade to gforge-ldap-openldap_4.5.14-22etch4\n');
}
if (deb_check(prefix: 'gforge-lists-mailman', release: '4.0', reference: '4.5.14-22etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-lists-mailman is vulnerable in Debian 4.0.\nUpgrade to gforge-lists-mailman_4.5.14-22etch4\n');
}
if (deb_check(prefix: 'gforge-mta-courier', release: '4.0', reference: '4.5.14-22etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-mta-courier is vulnerable in Debian 4.0.\nUpgrade to gforge-mta-courier_4.5.14-22etch4\n');
}
if (deb_check(prefix: 'gforge-mta-exim', release: '4.0', reference: '4.5.14-22etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-mta-exim is vulnerable in Debian 4.0.\nUpgrade to gforge-mta-exim_4.5.14-22etch4\n');
}
if (deb_check(prefix: 'gforge-mta-exim4', release: '4.0', reference: '4.5.14-22etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-mta-exim4 is vulnerable in Debian 4.0.\nUpgrade to gforge-mta-exim4_4.5.14-22etch4\n');
}
if (deb_check(prefix: 'gforge-mta-postfix', release: '4.0', reference: '4.5.14-22etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-mta-postfix is vulnerable in Debian 4.0.\nUpgrade to gforge-mta-postfix_4.5.14-22etch4\n');
}
if (deb_check(prefix: 'gforge-shell-ldap', release: '4.0', reference: '4.5.14-22etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-shell-ldap is vulnerable in Debian 4.0.\nUpgrade to gforge-shell-ldap_4.5.14-22etch4\n');
}
if (deb_check(prefix: 'gforge-shell-postgresql', release: '4.0', reference: '4.5.14-22etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-shell-postgresql is vulnerable in Debian 4.0.\nUpgrade to gforge-shell-postgresql_4.5.14-22etch4\n');
}
if (deb_check(prefix: 'gforge-web-apache', release: '4.0', reference: '4.5.14-22etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge-web-apache is vulnerable in Debian 4.0.\nUpgrade to gforge-web-apache_4.5.14-22etch4\n');
}
if (deb_check(prefix: 'gforge', release: '4.0', reference: '4.5.14-22etch4')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge is vulnerable in Debian etch.\nUpgrade to gforge_4.5.14-22etch4\n');
}
if (deb_check(prefix: 'gforge', release: '3.1', reference: '3.1-31sarge5')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package gforge is vulnerable in Debian sarge.\nUpgrade to gforge_3.1-31sarge5\n');
}
if (w) { security_hole(port: 0, data: desc); }
