# This script was automatically generated from the dsa-1464
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

Oriol Carreras discovered that syslog-ng, a next generation logging
daemon can be tricked into dereferencing a NULL pointer through
malformed timestamps, which can lead to denial of service and the
disguise of an subsequent attack, which would otherwise be logged.


The old stable distribution (sarge) is not affected.


For the stable distribution (etch), this problem has been fixed in
version 2.0.0-1etch1.


For the unstable distribution (sid), this problem has been fixed in
version 2.0.6-1.


We recommend that you upgrade your syslog-ng package.



Solution : http://www.debian.org/security/2008/dsa-1464
Risk factor : High';

if (description) {
 script_id(29984);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1464");
 script_cve_id("CVE-2007-6437");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1464] DSA-1464-1 syslog-ng");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1464-1 syslog-ng");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'syslog-ng', release: '4.0', reference: '2.0.0-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package syslog-ng is vulnerable in Debian 4.0.\nUpgrade to syslog-ng_2.0.0-1etch1\n');
}
if (deb_check(prefix: 'syslog-ng', release: '4.0', reference: '2.0.0-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package syslog-ng is vulnerable in Debian etch.\nUpgrade to syslog-ng_2.0.0-1etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
