# This script was automatically generated from the dsa-1470
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Ulf H&auml;rnhammer discovered that the HTML filter of the Horde web
application framework performed insufficient input sanitising, which
may lead to the deletion of emails if a user is tricked into viewing
a malformed email inside the Imp client.
This update also provides backported bugfixes to the cross-site 
scripting filter and the user management API from the latest Horde
release 3.1.6.
The old stable distribution (sarge) is not affected. An update to
Etch is recommended, though.
For the stable distribution (etch), this problem has been fixed in
version 3.1.3-4etch2.
We recommend that you upgrade your horde3 package.


Solution : http://www.debian.org/security/2008/dsa-1470
Risk factor : High';

if (description) {
 script_id(30062);
 script_version("$Revision: 1.3 $");
 script_xref(name: "DSA", value: "1470");
 script_cve_id("CVE-2007-6018");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1470] DSA-1470-1 horde3");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1470-1 horde3");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'horde3', release: '4.0', reference: '3.1.3-4etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package horde3 is vulnerable in Debian 4.0.\nUpgrade to horde3_3.1.3-4etch2\n');
}
if (deb_check(prefix: 'horde3', release: '4.0', reference: '3.1.3-4etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package horde3 is vulnerable in Debian etch.\nUpgrade to horde3_3.1.3-4etch2\n');
}
if (w) { security_hole(port: 0, data: desc); }
