# This script was automatically generated from the dsa-1476
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Marcus Meissner discovered that the PulseAudio sound server performed
insufficent checks when dropping privileges, which could lead to local
privilege escalation.
The old stable distribution (sarge) doesn\'t contain pulseaudio.
For the stable distribution (etch), this problem has been fixed in
version 0.9.5-5etch1.
We recommend that you upgrade your pulseaudio packages.


Solution : http://www.debian.org/security/2008/dsa-1476
Risk factor : High';

if (description) {
 script_id(30111);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1476");
 script_cve_id("CVE-2008-0008");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1476] DSA-1476-1 pulseaudio");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1476-1 pulseaudio");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'libpulse-browse0', release: '4.0', reference: '0.9.5-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libpulse-browse0 is vulnerable in Debian 4.0.\nUpgrade to libpulse-browse0_0.9.5-5etch1\n');
}
if (deb_check(prefix: 'libpulse-dev', release: '4.0', reference: '0.9.5-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libpulse-dev is vulnerable in Debian 4.0.\nUpgrade to libpulse-dev_0.9.5-5etch1\n');
}
if (deb_check(prefix: 'libpulse-mainloop-glib0', release: '4.0', reference: '0.9.5-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libpulse-mainloop-glib0 is vulnerable in Debian 4.0.\nUpgrade to libpulse-mainloop-glib0_0.9.5-5etch1\n');
}
if (deb_check(prefix: 'libpulse0', release: '4.0', reference: '0.9.5-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package libpulse0 is vulnerable in Debian 4.0.\nUpgrade to libpulse0_0.9.5-5etch1\n');
}
if (deb_check(prefix: 'pulseaudio', release: '4.0', reference: '0.9.5-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pulseaudio is vulnerable in Debian 4.0.\nUpgrade to pulseaudio_0.9.5-5etch1\n');
}
if (deb_check(prefix: 'pulseaudio-esound-compat', release: '4.0', reference: '0.9.5-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pulseaudio-esound-compat is vulnerable in Debian 4.0.\nUpgrade to pulseaudio-esound-compat_0.9.5-5etch1\n');
}
if (deb_check(prefix: 'pulseaudio-module-gconf', release: '4.0', reference: '0.9.5-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pulseaudio-module-gconf is vulnerable in Debian 4.0.\nUpgrade to pulseaudio-module-gconf_0.9.5-5etch1\n');
}
if (deb_check(prefix: 'pulseaudio-module-hal', release: '4.0', reference: '0.9.5-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pulseaudio-module-hal is vulnerable in Debian 4.0.\nUpgrade to pulseaudio-module-hal_0.9.5-5etch1\n');
}
if (deb_check(prefix: 'pulseaudio-module-jack', release: '4.0', reference: '0.9.5-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pulseaudio-module-jack is vulnerable in Debian 4.0.\nUpgrade to pulseaudio-module-jack_0.9.5-5etch1\n');
}
if (deb_check(prefix: 'pulseaudio-module-lirc', release: '4.0', reference: '0.9.5-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pulseaudio-module-lirc is vulnerable in Debian 4.0.\nUpgrade to pulseaudio-module-lirc_0.9.5-5etch1\n');
}
if (deb_check(prefix: 'pulseaudio-module-x11', release: '4.0', reference: '0.9.5-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pulseaudio-module-x11 is vulnerable in Debian 4.0.\nUpgrade to pulseaudio-module-x11_0.9.5-5etch1\n');
}
if (deb_check(prefix: 'pulseaudio-module-zeroconf', release: '4.0', reference: '0.9.5-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pulseaudio-module-zeroconf is vulnerable in Debian 4.0.\nUpgrade to pulseaudio-module-zeroconf_0.9.5-5etch1\n');
}
if (deb_check(prefix: 'pulseaudio-utils', release: '4.0', reference: '0.9.5-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pulseaudio-utils is vulnerable in Debian 4.0.\nUpgrade to pulseaudio-utils_0.9.5-5etch1\n');
}
if (deb_check(prefix: 'pulseaudio', release: '4.0', reference: '0.9.5-5etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package pulseaudio is vulnerable in Debian etch.\nUpgrade to pulseaudio_0.9.5-5etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
