# This script was automatically generated from the dsa-1477
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Duncan Gilmore discovered that yarssr, an RSS aggregator and reader,
performs insufficient input sanitising, which could result in the
execution of arbitrary shell commands if a malformed feed is read.
Due to a technical limitation of the archive management scripts, the
fix for the old stable distribution (sarge) needs to be postponed
by a few days.
For the stable distribution (etch), this problem has been fixed in
version 0.2.2-1etch1.
We recommend that you upgrade your yarssr packages.


Solution : http://www.debian.org/security/2008/dsa-1477
Risk factor : High';

if (description) {
 script_id(30112);
 script_version("$Revision: 1.1 $");
 script_xref(name: "DSA", value: "1477");
 script_cve_id("CVE-2007-5837");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1477] DSA-1477-1 yarssr");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1477-1 yarssr");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'yarssr', release: '4.0', reference: '0.2.2-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package yarssr is vulnerable in Debian 4.0.\nUpgrade to yarssr_0.2.2-1etch1\n');
}
if (deb_check(prefix: 'yarssr', release: '4.0', reference: '0.2.2-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package yarssr is vulnerable in Debian etch.\nUpgrade to yarssr_0.2.2-1etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
