# This script was automatically generated from the dsa-1492
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '
Frank Lichtenheld and Nico Golde discovered that WML, an off-line HTML
generation toolkit, creates insecure temporary files in the eperl and
ipp backends and in the wmg.cgi script, which could lead to a local denial
of service by overwriting files.
The old stable distribution (sarge) is not affected.
For the stable distribution (etch), these problems have been fixed in
version 2.0.11-1etch1.
We recommend that you upgrade your wml packages.


Solution : http://www.debian.org/security/2008/dsa-1492
Risk factor : High';

if (description) {
 script_id(30231);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1492");
 script_cve_id("CVE-2008-0665", "CVE-2008-0666");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1492] DSA-1492-1 wml");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1492-1 wml");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'wml', release: '4.0', reference: '2.0.11-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package wml is vulnerable in Debian 4.0.\nUpgrade to wml_2.0.11-1etch1\n');
}
if (deb_check(prefix: 'wml', release: '4.0', reference: '2.0.11-1etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package wml is vulnerable in Debian etch.\nUpgrade to wml_2.0.11-1etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
