# This script was automatically generated from the dsa-1509
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

Several vulnerabilities have been discovered in xpdf code that is
embedded in koffice, an integrated office suite for KDE.  These flaws
could allow an attacker to execute arbitrary code by inducing the user
to import a specially crafted PDF document.
The Common Vulnerabilities and Exposures project identifies the
following problems:
Array index error in the DCTStream::readProgressiveDataUnit method in
xpdf/Stream.cc in Xpdf 3.02pl1, as used in poppler, teTeX, KDE, KOffice,
CUPS, and other products, allows remote attackers to trigger memory
corruption and execute arbitrary code via a crafted PDF file.
Integer overflow in the DCTStream::reset method in xpdf/Stream.cc in
Xpdf 3.02p11 allows remote attackers to execute arbitrary code via a
crafted PDF file, resulting in a heap-based buffer overflow.
Heap-based buffer overflow in the CCITTFaxStream::lookChar method in
xpdf/Stream.cc in Xpdf 3.02p11 allows remote attackers to execute
arbitrary code via a PDF file that contains a crafted CCITTFaxDecode
filter.
Updates for the old stable distribution (sarge), will be made available
as soon as possible.
For the stable distribution (etch), these problems have been fixed in version
1:1.6.1-2etch2.
We recommend that you upgrade your koffice package.


Solution : http://www.debian.org/security/2008/dsa-1509
Risk factor : High';

if (description) {
 script_id(31170);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1509");
 script_cve_id("CVE-2007-4352", "CVE-2007-5392", "CVE-2007-5393");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2008 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1509] DSA-1509-1 koffice");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1509-1 koffice");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'karbon', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package karbon is vulnerable in Debian 4.0.\nUpgrade to karbon_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'kchart', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kchart is vulnerable in Debian 4.0.\nUpgrade to kchart_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'kexi', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kexi is vulnerable in Debian 4.0.\nUpgrade to kexi_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'kformula', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kformula is vulnerable in Debian 4.0.\nUpgrade to kformula_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'kivio', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kivio is vulnerable in Debian 4.0.\nUpgrade to kivio_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'kivio-data', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kivio-data is vulnerable in Debian 4.0.\nUpgrade to kivio-data_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'koffice', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koffice is vulnerable in Debian 4.0.\nUpgrade to koffice_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'koffice-data', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koffice-data is vulnerable in Debian 4.0.\nUpgrade to koffice-data_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'koffice-dbg', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koffice-dbg is vulnerable in Debian 4.0.\nUpgrade to koffice-dbg_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'koffice-dev', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koffice-dev is vulnerable in Debian 4.0.\nUpgrade to koffice-dev_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'koffice-doc', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koffice-doc is vulnerable in Debian 4.0.\nUpgrade to koffice-doc_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'koffice-doc-html', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koffice-doc-html is vulnerable in Debian 4.0.\nUpgrade to koffice-doc-html_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'koffice-libs', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koffice-libs is vulnerable in Debian 4.0.\nUpgrade to koffice-libs_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'koshell', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koshell is vulnerable in Debian 4.0.\nUpgrade to koshell_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'kplato', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kplato is vulnerable in Debian 4.0.\nUpgrade to kplato_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'kpresenter', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kpresenter is vulnerable in Debian 4.0.\nUpgrade to kpresenter_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'kpresenter-data', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kpresenter-data is vulnerable in Debian 4.0.\nUpgrade to kpresenter-data_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'krita', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package krita is vulnerable in Debian 4.0.\nUpgrade to krita_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'krita-data', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package krita-data is vulnerable in Debian 4.0.\nUpgrade to krita-data_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'kspread', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kspread is vulnerable in Debian 4.0.\nUpgrade to kspread_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'kthesaurus', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kthesaurus is vulnerable in Debian 4.0.\nUpgrade to kthesaurus_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'kugar', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kugar is vulnerable in Debian 4.0.\nUpgrade to kugar_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'kword', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kword is vulnerable in Debian 4.0.\nUpgrade to kword_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'kword-data', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package kword-data is vulnerable in Debian 4.0.\nUpgrade to kword-data_1.6.1-2etch2\n');
}
if (deb_check(prefix: 'koffice', release: '4.0', reference: '1.6.1-2etch2')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package koffice is vulnerable in Debian etch.\nUpgrade to koffice_1.6.1-2etch2\n');
}
if (w) { security_hole(port: 0, data: desc); }
