#
# This script was written by Josh Zlatin-Amishav <josh at tkos dot co dot il>
#
# This script is released under the GNU GPLv2
#

if(description)
{
 script_id(18362);
 script_version ("$Revision: 1.5 $");

 script_cve_id("CVE-2005-1684");
 script_bugtraq_id(13692, 13693);

 name["english"] = "Episodex Guestbook Unauthorized Access and HTML Injection Vulnerability";
 script_name(english:name["english"]);

 desc["english"] = "
Synopsis :

The remote web server contains an ASP application that is affected by
several issues. 

Description :

The remote host is running the Episodex Guestbook, a guestbook written
in ASP. 

The version of Episodex installed on the remote host does not validate
input to various fields in the 'default.asp' script before using it to
generate dynamic HTML. 

In addition, an unauthenticated remote attacker can edit settings by
accessing the application's 'admin.asp' script directly. 

See also :

http://archives.neohapsis.com/archives/bugtraq/2005-05/0249.html

Solution : 

Unknown at this time.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)";

 script_description(english:desc["english"]);

 summary["english"] = "Checks for unathenticated access to admin.asp";

 script_summary(english:summary["english"]);

 script_category(ACT_GATHER_INFO);

 script_family(english:"CGI abuses");
 script_copyright(english:"Copyright (C) 2005 Josh Zlatin-Amishav");

 script_dependencies("http_version.nasl");
 script_require_ports("Services/www", 80);
 script_exclude_keys("Settings/disable_cgi_scanning");
 exit(0);
}

include("http_func.inc");
include("http_keepalive.inc");

port = get_http_port(default:80);
if(!get_port_state(port))exit(0);
if(!can_host_asp(port:port))exit(0);

function check(url)
{
 local_var req, res;
 global_var port;

 req = http_get(item:url +"/admin.asp", port:port);
 res = http_keepalive_send_recv(port:port, data:req);
 if ( res == NULL ) exit(0);
 if ( 'Save Configuration' >< res && 'powered by Sven Moderow\'s GuestBook' >< res )
 {
        security_hole(port);
        exit(0);
 }
}

foreach dir ( cgi_dirs() )
  check(url:dir);


