#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#

 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2007-2713 (nagios-plugins).


Nagios is a program that will monitor hosts and services on your
network, and to email or page you when a problem arises or is
resolved. Nagios runs on a Unix server as a background or daemon
process, intermittently running checks on various services that you
specify. The actual service checks are performed by separate 'plugin'
programs which return the status of the checks to Nagios. This package
contains those plugins.

-
ChangeLog:


Update information :

* Fri Oct 26 2007 Mike McGrath <mmcgrath redhat com> 1.4.8-9
- Fix for Bug 348731 and CVE-2007-5623


Solution : Get the newest Fedora Updates
Risk factor : High";

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(27795);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-5623");
 
 name["english"] = "Fedora Core 7 2007-2713: nagios-plugins";
 
 script_name(english:name["english"]);
 



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the nagios-plugins package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");

if ( rpm_check( reference:"nagios-plugins-1.4.8-9.fc7", prefix:"nagios-plugins-", release:"FC7") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_exists(rpm:"nagios-plugins-", release:"FC7") )
{
 set_kb_item(name:"CVE-2007-5623", value:TRUE);
}
