#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#

 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2007-2796 (openldap).

OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools. LDAP is a set of
protocols for accessing directory services (usually phone book style
information, but other information is possible) over the Internet,
similar to the way DNS (Domain Name System) information is propagated
over the Internet. The openldap package contains configuration files,
libraries, and documentation for OpenLDAP.

-
ChangeLog:


Update information :

* Fri Nov  2 2007 Jan Safranek <jsafranek redhat com> 2.3.39-1.fc8
- new upstream version, fixing few security flaws (#362991)


Solution : Get the newest Fedora Updates
Risk factor : High";

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(28153);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-5707", "CVE-2007-5708");
 
 name["english"] = "Fedora Core 8 2007-2796: openldap";
 
 script_name(english:name["english"]);
 



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the openldap package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");

if ( rpm_check( reference:"openldap-2.3.39-1.fc8", prefix:"openldap-", release:"FC8") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_exists(rpm:"openldap-", release:"FC8") )
{
 set_kb_item(name:"CVE-2007-5707", value:TRUE);
 set_kb_item(name:"CVE-2007-5708", value:TRUE);
}
