#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#

 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2007-3733 (liferea).

Liferea (Linux Feed Reader) is an RSS/RDF feed reader.
It's intended to be a clone of the Windows-only FeedReader.
It can be used to maintain a list of subscribed feeds,
browse through their items, and show their contents.

-
Update Information:

Update to 1.4.8, and fixes LD_LIBRARY_PATH security bug. CVE-2006-4791


Solution : Get the newest Fedora Updates
Risk factor : High";

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(28341);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2005-4791", "CVE-2006-4791", "CVE-2007-5751");
 
 name["english"] = "Fedora Core 7 2007-3733: liferea";
 
 script_name(english:name["english"]);
 



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the liferea package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");

if ( rpm_check( reference:"liferea-1.4.8-1.fc7", prefix:"liferea-", release:"FC7") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_exists(rpm:"liferea-", release:"FC7") )
{
 set_kb_item(name:"CVE-2005-4791", value:TRUE);
 set_kb_item(name:"CVE-2006-4791", value:TRUE);
 set_kb_item(name:"CVE-2007-5751", value:TRUE);
}
