#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#

 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2008-0904 (bind).

BIND (Berkeley Internet Name Domain) is an implementation of the DNS
(Domain Name System) protocols. BIND includes a DNS server (named),
which resolves host names to IP addresses; a resolver library
(routines for applications to use when interfacing with DNS); and
tools for verifying that the DNS server is operating properly.

-
Update Information:

- CVE-2008-0122, libbind.so off-by-one buffer overflow, very low severity


Solution : Get the newest Fedora Updates
Risk factor : High";

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(30081);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-2241", "CVE-2007-2925", "CVE-2007-2926", "CVE-2007-6283", "CVE-2008-0122");
 
 name["english"] = "Fedora Core 7 2008-0904: bind";
 
 script_name(english:name["english"]);
 



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the bind package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2008 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");

if ( rpm_check( reference:"bind-9.4.2-3.fc7", prefix:"bind-", release:"FC7") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_exists(rpm:"bind-", release:"FC7") )
{
 set_kb_item(name:"CVE-2007-2241", value:TRUE);
 set_kb_item(name:"CVE-2007-2925", value:TRUE);
 set_kb_item(name:"CVE-2007-2926", value:TRUE);
 set_kb_item(name:"CVE-2007-6283", value:TRUE);
 set_kb_item(name:"CVE-2008-0122", value:TRUE);
}
