#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#

 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2008-1403 (gnumeric).

Gnumeric is a spreadsheet program for the GNOME GUI desktop
environment.

-
Update Information:

Fix integer overflow and signedness errors in XLS processing


Solution : Get the newest Fedora Updates
Risk factor : High";

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(30240);
 script_version ("$Revision: 1.1 $");
 
 name["english"] = "Fedora Core 8 2008-1403: gnumeric";
 
 script_name(english:name["english"]);
 



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the gnumeric package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2008 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");

if ( rpm_check( reference:"gnumeric-1.6.3-14.fc8", prefix:"gnumeric-", release:"FC8") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
