#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#

 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2008-1581 (xine-lib).

This package contains the Xine library. Xine is a free multimedia player.
It can play back various media. It also decodes multimedia files from local
disk drives, and displays multimedia streamed over the Internet. It
interprets many of the most common multimedia formats available - and some
of the most uncommon formats, too.  --with/--without rpmbuild options
(some default values depend on target distribution): aalib, caca, directfb,
imagemagick, freetype, antialiasing (with freetype), jack, pulseaudio,
wavpack, xcb.

-
Update Information:


Update information :

* Fri Feb  8 2008 Ville Skyttä <ville.skytta at iki.fi> - 1.1.10.1-1  - 1.1.10
.1
(security update, #431541).    * Sun Jan 27 2008 Ville Skyttä <ville.skytta at
iki.fi> - 1.1.10-2  - Include spu, spucc, and spucmml decoders (#213597).
Upstream release notes:
[9]http://sourceforge.net/project/shownotes.php?group_id=9655&release_id=574735


Solution : Get the newest Fedora Updates
Risk factor : High";

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(31072);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2008-0486");
 
 name["english"] = "Fedora Core 7 2008-1581: xine-lib";
 
 script_name(english:name["english"]);
 



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the xine-lib package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2008 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");

if ( rpm_check( reference:"xine-lib-1.1.10.1-1.fc7", prefix:"xine-lib-", release:"FC7") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_exists(rpm:"xine-lib-", release:"FC7") )
{
 set_kb_item(name:"CVE-2008-0486", value:TRUE);
}
