#
# (C) Tenable Network Security
#
# This plugin text is was extracted from the Fedora Security Advisory
#

 desc["english"] = "
The remote host is missing the patch for the advisory FEDORA-2008-2290 (evolution).

Evolution is the GNOME mailer, calendar, contact manager and
communications tool.  The tools which make up Evolution will
be tightly integrated with one another and act as a seamless
personal information-management tool.

-
Update Information:

Ulf Härnhammar of Secunia Research discovered a format string flaw  in the way
Evolution displayed encrypted mail content. If a user opened a carefully crafte
d
mail message, arbitrary code could be executed as the user running Evolution.
(CVE-2008-0072)


Solution : Get the newest Fedora Updates
Risk factor : High";

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(31374);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2008-0072");
 
 name["english"] = "Fedora Core 7 2008-2290: evolution";
 
 script_name(english:name["english"]);
 



 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the evolution package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2008 Tenable Network Security");
 family["english"] = "Fedora Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");

if ( rpm_check( reference:"evolution-2.10.3-8.fc7", prefix:"evolution-", release:"FC7") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_exists(rpm:"evolution-", release:"FC7") )
{
 set_kb_item(name:"CVE-2008-0072", value:TRUE);
}
