#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(25727);
 script_version ("$Revision: 1.2 $");
 script_cve_id("CVE-2007-3377");

 name["english"] = "RHSA-2007-0675: perl";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  An updated perl-Net-DNS package that corrects a security issue is now
  available for Red Hat Enterprise Linux 4.

  This update has been rated as having moderate security impact by the Red
  Hat Security Response Team.

  Net::DNS is a collection of Perl modules that act as a Domain Name System
  (DNS) resolver.

  A flaw was found in the way Net::DNS generated the ID field in a DNS query.
  This predictable ID field could be used by a remote attacker to return
  invalid DNS data. (CVE-2007-3377)

  Users of Net::DNS should upgrade to this updated package, which contains
  backported patches to correct this issue.




Solution : http://rhn.redhat.com/errata/RHSA-2007-0675.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the perl packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"perl-Net-DNS-0.48-2.el4", release:"RHEL4") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"perl-Net-DNS-0.48-2.el4", release:"RHEL4") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"perl-Net-DNS-0.48-2.el4", release:"RHEL4") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}

if ( rpm_exists(rpm:"perl-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2007-3377", value:TRUE);
}
if ( rpm_exists(rpm:"perl-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2007-3377", value:TRUE);
}
if ( rpm_exists(rpm:"perl-", release:"RHEL4") )
{
 set_kb_item(name:"CVE-2007-3377", value:TRUE);
}

set_kb_item(name:"RHSA-2007-0675", value:TRUE);
