#
# (C) Tenable Network Security
#
#
# The text of this plugin is (C) Red Hat Inc.

if ( ! defined_func("bn_random") ) exit(0);
if(description)
{
 script_id(27853);
 script_version ("$Revision: 1.1 $");
 script_cve_id("CVE-2007-5707");

 name["english"] = "RHSA-2007-1037: compat";
 
 script_name(english:name["english"]);
 
 desc["english"] = '

  Updated openldap packages that fix a security flaw are now available for
  Red Hat Enterprise Linux 5.

  This update has been rated as having important security impact by the Red
  Hat Security Response Team.

  OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
  Protocol) applications and development tools.

  A flaw was found in the way OpenLDAP\'s slapd daemon handled malformed
  objectClasses LDAP attributes. A local or remote attacker could create an
  LDAP request which could cause a denial of service by crashing slapd.
  (CVE-2007-5707)

  In addition, the following feature was added:
  * OpenLDAP client tools now have new option to configure their bind timeout.

  All users are advised to upgrade to these updated openldap packages, which
  contain a backported patch to correct this issue and provide this security
  enhancement.




Solution : http://rhn.redhat.com/errata/RHSA-2007-1037.html
Risk factor : High';

 script_description(english:desc["english"]);
 
 summary["english"] = "Check for the version of the compat packages";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security");
 family["english"] = "Red Hat Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 
 script_require_keys("Host/RedHat/rpm-list");
 exit(0);
}

include("rpm.inc");
if ( rpm_check( reference:"compat-openldap-2.3.27_2.2.29-8.el5_1.1", release:"RHEL5") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"openldap-2.3.27-8.el5_1.1", release:"RHEL5") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"openldap-clients-2.3.27-8.el5_1.1", release:"RHEL5") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"openldap-devel-2.3.27-8.el5_1.1", release:"RHEL5") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"openldap-servers-2.3.27-8.el5_1.1", release:"RHEL5") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"openldap-servers-sql-2.3.27-8.el5_1.1", release:"RHEL5") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"compat-openldap-2.3.27_2.2.29-8.el5_1.1", release:"RHEL5") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"openldap-2.3.27-8.el5_1.1", release:"RHEL5") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}
if ( rpm_check( reference:"openldap-clients-2.3.27-8.el5_1.1", release:"RHEL5") )
{
 security_hole(port:0, extra:rpm_report_get());
 exit(0);
}

if ( rpm_exists(rpm:"compat-", release:"RHEL5") )
{
 set_kb_item(name:"CVE-2007-5707", value:TRUE);
}
if ( rpm_exists(rpm:"compat-", release:"RHEL5") )
{
 set_kb_item(name:"CVE-2007-5707", value:TRUE);
}

set_kb_item(name:"RHSA-2007-1037", value:TRUE);
