#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(29353);
 script_cve_id("CVE-2007-4985", "CVE-2007-4986", "CVE-2007-4987", "CVE-2007-4988");

 script_version ("$Revision: 1.1 $");

 name["english"] = "SuSE Security Update: Security update for ImageMagick (ImageMagick-4541)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch ImageMagick-4541.

Description :

This update of ImageMagick fixes several vulnerabilities.
- CVE-2007-4985: infinite loop while parsing images
- CVE-2007-4986: integer overflows that can lead to code
  execution
- CVE-2007-4987: one-byte buffer overflow that can lead to
  code execution (SLES8- and SLES9-based products are not
  affected)
- CVE-2007-4988: integer overflows that can lead to code
  execution


Solution : 

Install the security patch ImageMagick-4541.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the ImageMagick-4541 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"ImageMagick-6.2.5-16.26", release:"SLED10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"ImageMagick-Magick++-6.2.5-16.26", release:"SLED10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"ImageMagick-devel-6.2.5-16.26", release:"SLED10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"perl-PerlMagick-6.2.5-16.26", release:"SLED10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
