#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(29373);
 script_cve_id("CVE-2006-5752", "CVE-2007-1863", "CVE-2007-3304", "CVE-2007-3847", "CVE-2007-4465");

 script_version ("$Revision: 1.1 $");

 name["english"] = "SuSE Security Update: Security update for apache2 (apache2-4669)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch apache2-4669.

Description :

Several bugs were fixed in the Apache2 webserver:

These include the following security issues:

- CVE-2006-5752: mod_status: Fix a possible XSS attack
  against a site with a public server-status page and
  ExtendedStatus enabled, for browsers which perform
  charset 'detection'.
- CVE-2007-1863: mod_cache: Prevent a segmentation fault if
  attributes are listed in a Cache-Control header without
  any value.
- CVE-2007-3304: prefork, worker, event MPMs: Ensure that
  the parent process cannot be forced to kill processes
  outside its process group.
- CVE-2007-3847: mod_proxy: Prevent reading past the end of
  a buffer when parsing date-related headers. PR 41144.
- CVE-2007-4465: mod_autoindex: Add in ContentType and
  Charset options to IndexOptions directive. This allows
  the admin to explicitly set the content-type and charset
  of the generated page.

and the following non-security issues:

- get_module_list: replace loadmodule.conf atomically
- Use File::Temp to create good tmpdir in logresolve.pl2
  (httpd-2.x.x-logresolve.patchs)


Solution : 

Install the security patch apache2-4669.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the apache2-4669 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"apache2-2.2.3-16.15", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"apache2-devel-2.2.3-16.15", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"apache2-doc-2.2.3-16.15", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"apache2-example-pages-2.2.3-16.15", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"apache2-prefork-2.2.3-16.15", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"apache2-worker-2.2.3-16.15", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
