#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(27158);
 script_cve_id("CVE-2007-3762", "CVE-2007-3764");

 script_version ("$Revision: 1.4 $");

 name["english"] = "SuSE Security Update: asterisk security update (asterisk-3977)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch asterisk-3977.

Description :

This update fixes multiple bugs in asterisk that allowed
remote attackers to crash the asterisk server or even
execute arbitrary code (CVE-2007-3762, CVE-2007-3763,
CVE-2007-3764).


Solution : 

Install the security patch asterisk-3977.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the asterisk-3977 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"asterisk-1.2.5-12.15", release:"SUSE10.1") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"asterisk-1.2.13-25", release:"SUSE10.2") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
