#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(29397);
 script_cve_id("CVE-2006-5874", "CVE-2006-6481", "CVE-2006-5874", "CVE-2006-6406");

 script_version ("$Revision: 1.1 $");

 name["english"] = "SuSE Security Update: Security update for clamav (clamav-2390)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch clamav-2390.

Description :

This update to ClamAV version 0.88.7 fixes various bugs:

CVE-2006-5874: Clam AntiVirus (ClamAV) allows remote
attackers to cause a denial of service (crash) via a
malformed base64-encoded MIME attachment that triggers a
null pointer dereference.

CVE-2006-6481: Clam AntiVirus (ClamAV) 0.88.6 allowed
remote attackers to cause a denial of service (stack
overflow and application crash) by wrapping many layers of
multipart/mixed content around a document, a different
vulnerability than CVE-2006-5874 and CVE-2006-6406.

CVE-2006-6406: Clam AntiVirus (ClamAV) 0.88.6 allowed
remote attackers to bypass virus detection by inserting
invalid characters into base64 encoded content in a
multipart/mixed MIME file, as demonstrated with the EICAR
test file.




Solution : 

Install the security patch clamav-2390.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the clamav-2390 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"clamav-0.88.7-1.2", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
