#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(29477);
 script_cve_id("CVE-2007-2022");

 script_version ("$Revision: 1.1 $");

 name["english"] = "SuSE Security Update: Security update for kdebase3 (kdebase3-3407)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch kdebase3-3407.

Description :

A problem with the interaction between the Flash Player and
the Konqueror webbrowser was fixed. The problem could lead
to keypresses leaking to the applet instead of the browser.
(CVE-2007-2022)

This update of khc_indexbuilder also restricts the commands
that can be executed with EGID 'man'.


Solution : 

Install the security patch kdebase3-3407.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the kdebase3-3407 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"kdebase3-3.5.1-69.35.5", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"kdebase3-3.5.1-69.35.5", release:"SLED10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
