#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(29957);
 script_cve_id("CVE-2007-6351", "CVE-2007-6352");

 script_version ("$Revision: 1.1 $");

 name["english"] = "SuSE Security Update: Security update for libexif (libexif-4884)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch libexif-4884.

Description :

Two bugs in libexif were identified by a Google Security
Audit done by Meder Kydyraliev.

CVE-2007-6351: Loading EXIF data could be used to cause a
infinite recursion and crash CVE-2007-6352: Integer
overflows in the thumbnail handler could be used to
overflow buffers and potentially execute code or crash a
program using libexif.


Solution : 

Install the security patch libexif-4884.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the libexif-4884 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2008 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"libexif-0.6.13-20.9", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"libexif-0.6.13-20.9", release:"SLED10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
