#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(27386);
 script_cve_id("CVE-2006-4251", "CVE-2006-4252");

 script_version ("$Revision: 1.4 $");

 name["english"] = "SuSE Security Update: pdns: Securityupdate to fix denial of service problems (pdns-2275)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch pdns-2275.

Description :

Two security problems that have been found in PowerDNS are
fixed by this update:

CVE-2006-4251: The PowerDNS Recursor can be made to crash
by sending malformed questions to it over TCP potentially
executing code.

CVE-2006-4252: Zero second CNAME TTLs can make PowerDNS
exhaust allocated stack space, and crash.


Solution : 

Install the security patch pdns-2275.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the pdns-2275 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"pdns-2.9.19-13.4", release:"SUSE10.1") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
