#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(29585);
 script_cve_id("CVE-2006-6097");

 script_version ("$Revision: 1.1 $");

 name["english"] = "SuSE Security Update: Security update for tar (tar-2344)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch tar-2344.

Description :

This security update fixes a directory traversal in tar,
where unpacked symlinks could
 be followed outside of the
directory where the tar file is unpacked. (CVE-2006-6097)

The problematic feature has been made optional and is
disabled by default. It can be enabled by a commandline
switch.


Solution : 

Install the security patch tar-2344.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the tar-2344 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"tar-1.15.1-23.5", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"tar-1.15.1-23.5", release:"SLED10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
