# This script was automatically generated from the 396-1 Ubuntu Security Notice
# It is released under the Nessus Script Licence.
# Ubuntu Security Notices are (C) 2005 Canonical, Inc.
# USN2nasl Convertor is (C) 2005 Michel Arboi
# See http://www.ubuntulinux.org/usn/
# Ubuntu(R) is a registered trademark of Canonical, Inc.

if (! defined_func("bn_random")) exit(0);
desc = '
Synopsis :

The remote package "gdm" is missing a security patch.

Description :

A format string vulnerability was discovered in the gdmchooser component 
of the GNOME Display Manager.  By typing a specially crafted host name, 
local users could gain gdm user privileges, which could lead to further 
account information exposure.

Solution :

Upgrade to : 
- gdm-2.16.1-0ubuntu4.1 (Ubuntu 6.10)



Risk factor : High
';

if (description) {
script_id(27982);
script_version("$Revision: 1.1 $");
script_copyright("Ubuntu Security Notice (C) 2007 Canonical, Inc. / NASL script (C) 2007 Michel Arboi <mikhail@nessus.org>");
script_category(ACT_GATHER_INFO);
script_family(english: "Ubuntu Local Security Checks");
script_dependencies("ssh_get_info.nasl");
script_require_keys("Host/Ubuntu", "Host/Ubuntu/release", "Host/Debian/dpkg-l");
script_description(english: desc);

script_xref(name: "USN", value: "396-1");
script_summary(english:"gdm vulnerability");
script_name(english:"USN396-1 : gdm vulnerability");
script_cve_id("CVE-2006-6105");
exit(0);
}

include('ubuntu.inc');

found = ubuntu_check(osver: "6.10", pkgname: "gdm", pkgver: "2.16.1-0ubuntu4.1");
if (! isnull(found)) {
w++;
desc = strcat(desc, '
The package gdm-',found,' is vulnerable in Ubuntu 6.10
Upgrade it to gdm-2.16.1-0ubuntu4.1
');
}

if (w) { security_hole(port: 0, data: desc); }
