# This script was automatically generated from the dsa-1328
# Debian Security Advisory
# It is released under the Nessus Script Licence.
# Advisory is copyright 1997-2004 Software in the Public Interest, Inc.
# See http://www.debian.org/license
# DSA2nasl Convertor is copyright 2004 Michel Arboi

if (! defined_func('bn_random')) exit(0);

desc = '

Steve Kemp from the Debian Security Audit project discovered that
unicon-imc2, a Chinese input method library, makes unsafe use of
an environmental variable, which may be exploited to execute arbitrary
code.
For the stable distribution (etch) this problem has been fixed in
version 3.0.4-11etch1.
For the unstable distribution (sid) this problem will be fixed shortly.
We recommend that you upgrade your unicon-imc2 package.


Solution : http://www.debian.org/security/2007/dsa-1328
Risk factor : High';

if (description) {
 script_id(25640);
 script_version("$Revision: 1.2 $");
 script_xref(name: "DSA", value: "1328");
 script_cve_id("CVE-2007-2835");

 script_description(english: desc);
 script_copyright(english: "This script is (C) 2007 Michel Arboi <mikhail@nessus.org>");
 script_name(english: "[DSA1328] DSA-1328-1 unicon-imc2");
 script_category(ACT_GATHER_INFO);
 script_family(english: "Debian Local Security Checks");
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/Debian/dpkg-l");
 script_summary(english: "DSA-1328-1 unicon-imc2");
 exit(0);
}

include("debian_package.inc");

w = 0;
if (deb_check(prefix: 'unicon-imc2', release: '4.0', reference: '3.0.4-11etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package unicon-imc2 is vulnerable in Debian 4.0.\nUpgrade to unicon-imc2_3.0.4-11etch1\n');
}
if (deb_check(prefix: 'unicon-imc2', release: '4.0', reference: '3.0.4-11etch1')) {
 w ++;
 if (report_verbosity > 0) desc = strcat(desc, '\nThe package unicon-imc2 is vulnerable in Debian etch.\nUpgrade to unicon-imc2_3.0.4-11etch1\n');
}
if (w) { security_hole(port: 0, data: desc); }
