#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(27288);
 script_cve_id("CVE-2007-3387");

 script_version ("$Revision: 1.4 $");

 name["english"] = "SuSE Security Update: kpdf security update (kdegraphics3-pdf-3972)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch kdegraphics3-pdf-3972.

Description :

A buffer overflow in the xpdf code contained in kpdf could
be exploited by attackers to potentially execute arbitrary
code (CVE-2007-3387).


Solution : 

Install the security patch kdegraphics3-pdf-3972.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the kdegraphics3-pdf-3972 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"kdegraphics3-pdf-3.5.1-23.16", release:"SUSE10.1") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"kdegraphics3-pdf-3.5.5-43.3", release:"SUSE10.2") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
