#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(29493);
 script_cve_id("CVE-2007-2798", "CVE-2007-2442");

 script_version ("$Revision: 1.1 $");

 name["english"] = "SuSE Security Update: Security update for krb5 (krb5-3821)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch krb5-3821.

Description :

This update fixes a stack-based buffer overflow in kadmind
which can be exploited by authenticated remote users to
gain root. (CVE-2007-2798) Additionally two bugs in the RPC
library of kadmind were fixed that can lead to remote
system compromise. (CVE-2007-2442, CVE-2007-2443) Note that
third-party applications using the RPC library are
vulnerable, too.


Solution : 

Install the security patch krb5-3821.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the krb5-3821 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"krb5-1.4.3-19.22", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"krb5-devel-1.4.3-19.22", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"krb5-server-1.4.3-19.22", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"krb5-1.4.3-19.22", release:"SLED10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"krb5-devel-1.4.3-19.22", release:"SLED10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
