#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);

if(description)
{
 script_id(29584);
 script_cve_id("CVE-2007-4033");

 script_version ("$Revision: 1.1 $");

 name["english"] = "SuSE Security Update: Security update for t1lib (t1lib-4588)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch t1lib-4588.

Description :

A buffer overflow in t1lib could potentially be exploited
to execute arbitrary code via specially crafted files
(CVE-2007-4033).


Solution : 

Install the security patch t1lib-4588.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the t1lib-4588 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"t1lib-1.3.1-585.6", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"t1lib-devel-1.3.1-585.6", release:"SLES10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"t1lib-1.3.1-585.6", release:"SLED10") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
