#
# (C) Tenable Network Security
#
# The text description of this plugin is (C) Novell, Inc.
#

if ( ! defined_func("bn_random") ) exit(0);
if (NASL_LEVEL < 3000 ) exit(0);
if(description)
{
 script_id(27473);
 script_cve_id("CVE-2007-0855");

 script_version ("$Revision: 1.4 $");

 name["english"] = "SuSE Security Update: Security update for unrar: password protected archives can be used to trigger a buffer overflow (unrar-2996)";
 
 script_name(english:name["english"]);
 
 desc["english"] = "
Synopsis :

The remote SuSE system is missing the security patch unrar-2996.

Description :

This update fixes a stack-absed buffer overflow in unrar
that can be exploited with user-assistence by sending a
password-protected archive. (CVE-2007-0855)


Solution : 

Install the security patch unrar-2996.

Risk factor : 

High";

 script_description(english:desc["english"]);
 
 summary["english"] = "Checks for the unrar-2996 package";
 script_summary(english:summary["english"]);
 
 script_category(ACT_GATHER_INFO);
 
 script_copyright(english:"This script is Copyright (C) 2007 Tenable Network Security, Inc");
 family["english"] = "SuSE Local Security Checks";
 script_family(english:family["english"]);
 
 script_dependencies("ssh_get_info.nasl");
 script_require_keys("Host/SuSE/rpm-list");
 exit(0);
}

include("rpm.inc");


if ( rpm_check( reference:"unrar-3.5.4-15.6", release:"SUSE10.1") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
if ( rpm_check( reference:"unrar-3.60.8-21", release:"SUSE10.2") )
{
	security_hole(port:0, extra:rpm_report_get());
	exit(0);
}
